Subject: Re: Revert "[POWERPC] <various>"

From: Simon Arlott <[email-masked]>
Date: Mon, 30 Apr 2007 20:56:05 +0100

On 30/04/07 20:49, Olaf Hering wrote:
> On Mon, Apr 30, Simon Arlott wrote:
> 
>> There are a few powerpc patches plus reverts in the recent push to 
>> torvalds/linux-2.6 - shouldn't this be avoided whenever possible because it 
>> could cause problems for people trying to use git bisect?
> 
> The reverts do not cause compile failures (I hope).
> You may lose IDE if you happen to debug something on Pegasos.
> I'm sure the real bisect breakers are elsewhere.

The reverts themselves are not the real problem, a git bisect could occur 
between the commit adding it and the one that reverts it. If that commit 
introduced a bug then surely it would be better to avoid releasing it 
elsewhere even if it will be reverted in the same batch.

Of course, this is probably difficult to do with git and impossible if 
someone has cloned the bad commit already and tries to pull :/

Is it possible to mass copy all the good commits to create a clean branch?

-- 
Simon Arlott